body {
	font-family: 'Roboto', sans-serif;
	margin: 0;
	height: var(--vh);
	overflow-y: auto;
	overflow-x: none;
	background: #0b0b0d;
}

.content-wrapper {
	position: relative;
	z-index: 0;
	display: flex;
	flex-direction: column;
	align-items: center;
	color: #fff;
	max-width: 432px;
	width: 100%;
	height: var(--vh);
	max-height: 860px;
	overflow: hidden;
	margin: auto;
}

	.content-wrapper:before { 
		position: absolute;
		z-index: -2;
		content: '';
		width: 1605px;
		height: 970px;
		margin: -485px 0 0 -802.5px;
		top: 50%;
		left: 50%;
		transform: rotate(0deg);
		background: #000 url(../media/dots-background.svg);
		animation: spin 120s linear infinite;
		transform-origin: center;
		transition: opacity 1.3s ease;
		background-size: 1605px 970px;
	}
	
	.content-wrapper.hide-background:before {
		opacity: 0;
	}
	
	.content-wrapper:after { 
		position: absolute;
		z-index: -1;
		content: '';
		width: 480px;
		height: 740px;
		top: 0;
		left: 0;
		background: url(../media/spot.png);
		transition: opacity 1.3s ease;
	}
	
	.content-wrapper.hide-background:after {
		opacity: 0;
	}

header {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 100%;
	padding: 0 20px;
	flex: 1 1 auto;
}

	.logo {
		display: block;
		width: 252px;
		height: 68px;
		margin: 0 auto;
		background: url(../media/logo-panoramastudios.svg) no-repeat;
		animation: fade-down 0.65s ease 0s forwards;
	}

		.logo span {
			display: none;
		}

main {
	position: relative;
	width: 100%;
}
	.video-wrapper {
		width: 100%;
		max-width: 1080px;
		margin: 0 auto;
		animation: fade-in 0.65s ease 0s forwards;
	}

	video {
		display: block;
		width: 100%;
		height: auto;	
		transition: opacity 1.3s ease;
	}
	
	video.is-hidden {
		opacity: 0;
	}
	
	.video-button {
		position: absolute;
		width: 120px;
		height: 120px;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -50%);
		border-radius: 50%;
		cursor: pointer;
		animation: animateHeart 1.5s infinite;
		background: #ea336a url(../media/arrow.svg) center no-repeat;
		background-size: 28px 34px;
		transform-origin: center;
		transition: opacity 1.0s ease;
	}
	
	.video-button.is-hidden {
		opacity: 0;
	}
	
		.video-button:before, 
		.video-button:after{
			position: absolute;
			content: '';
			display: block;
			width: 140%;
			height: 100%;
			left: -20%;
			z-index: -1000;
			transition: all ease-in-out 0.5s;
			background-repeat: no-repeat;
		}
	
		.video-button:before{
			display: block;
			top: -75%;
			background-image:  
				radial-gradient(circle, #ea336a 20%, transparent 20%),
				radial-gradient(circle,  transparent 20%, #ea336a 20%, transparent 30%),
				radial-gradient(circle, #ea336a 20%, transparent 20%), 
				radial-gradient(circle, #ea336a 20%, transparent 20%),
				radial-gradient(circle,  transparent 10%, #ea336a 15%, transparent 20%),
				radial-gradient(circle, #ea336a 20%, transparent 20%),
				radial-gradient(circle, #ea336a 20%, transparent 20%),
				radial-gradient(circle, #ea336a 20%, transparent 20%),
				radial-gradient(circle, #ea336a 20%, transparent 20%);
			background-size: 10% 10%, 20% 20%, 15% 15%, 20% 20%, 18% 18%, 10% 10%, 15% 15%, 10% 10%, 18% 18%;
			animation: topBubbles ease-in-out 1.5s infinite;
		}
		
		.video-button:after{
			display: block;
			bottom: -75%;
			background-image:  
				radial-gradient(circle, #ea336a 20%, transparent 20%), 
				radial-gradient(circle, #ea336a 20%, transparent 20%),
				radial-gradient(circle,  transparent 10%, #ea336a 15%, transparent 20%),
				radial-gradient(circle, #ea336a 20%, transparent 20%),
				radial-gradient(circle, #ea336a 20%, transparent 20%),
				radial-gradient(circle, #ea336a 20%, transparent 20%),
				radial-gradient(circle, #ea336a 20%, transparent 20%);
			background-size: 15% 15%, 20% 20%, 18% 18%, 20% 20%, 15% 15%, 10% 10%, 20% 20%;
			animation: bottomBubbles ease-in-out 1.5s infinite;
		}
		
		.video-button.animate {
			animation:none;
		}
		
		/* .video-button.animate:before{ */
			/* display: block; */
			/* animation: topBubbles ease-in-out 0.75s forwards; */
		/* } */
		
		/* .video-button.animate:after{ */
			/* display: block; */
			/* animation: bottomBubbles ease-in-out 0.75s forwards; */
		/* } */
	


footer {
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 0 20px;
	width: 100%;
	flex: 1 1 auto;
}

	.buttons {
		display: flex;
		justify-content: center;
	}

	.button {
		position: relative;
		z-index: 0;
		display: inline-flex;
		background: #ff0068;
		font-size: 15px;
		border-radius: 4px;
		padding: 16px;
		text-transform: uppercase;
		text-decoration: none;
		color: #fff;
		text-align: center;
		opacity: 0;
		animation: fade-up 0.65s ease 0s forwards;
	}
	
		.button:before {
			position: absolute;
			z-index: -1;
			content: '';
			width: 100%;
			height: 100%;
			top: 0;
			left: 0;
			background: #000;
			transform: scaleX(0);
			transform-origin: left;
			transition: transform 0.3s ease-in-out;
			
		}
		
		.button:hover:before {
			transform: scaleX(1);
		}
	
canvas {
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	pointer-events: none;
}

@keyframes fade-in {

	0% {
		opacity: 0;
	}

	100% {
		opacity: 1;
	}
}

@keyframes fade-up {

	0% {
		opacity: 0;
		transform: translateY(60%);
	}

	100% {
		opacity: 1;
		transform: translateY(0);
	}
}

@keyframes fade-down {

	0% {
		opacity: 0;
		transform: translateY(-60%);
	}

	100% {
		opacity: 1;
		transform: translateY(0);
	}
}

@keyframes spin { 
   
   100% { 
        transform: rotate(360deg); 
    } 
}

@keyframes animateHeart {
  0% {
    transform: translate(-50%, -50%) scale(0.8);
  }
  5% {
    transform: translate(-50%, -50%) scale(0.9);
  }
  10% {
    transform: translate(-50%, -50%) scale(0.8);
  }
  15% {
    transform: translate(-50%, -50%) scale(1);
  }
  50% {
    transform: translate(-50%, -50%) scale(0.8);
  }
  100% {
    transform: translate(-50%, -50%) scale(0.8);
  }
}

@keyframes topBubbles {
  
	0%{
		background-position: 5% 90%, 10% 90%, 10% 90%, 15% 90%, 25% 90%, 25% 90%, 40% 90%, 55% 90%, 70% 90%;
	}
  
	50% {
      background-position: 0% 80%, 0% 20%, 10% 40%, 20% 0%, 30% 30%, 22% 50%, 50% 50%, 65% 20%, 90% 30%;
	}
	
	100% {
		background-position: 0% 70%, 0% 10%, 10% 30%, 20% -10%, 30% 20%, 22% 40%, 50% 40%, 65% 10%, 90% 20%;
		background-size: 0% 0%, 0% 0%,  0% 0%,  0% 0%,  0% 0%,  0% 0%;
	}
}

@keyframes bottomBubbles {
	
	0%{
		background-position: 10% -10%, 30% 10%, 55% -10%, 70% -10%, 85% -10%, 70% -10%, 70% 0%;
	}
	
	50% {
		background-position: 0% 80%, 20% 80%, 45% 60%, 60% 100%, 75% 70%, 95% 60%, 105% 0%;
	}
	
	100% {
		background-position: 0% 90%, 20% 90%, 45% 70%, 60% 110%, 75% 80%, 95% 70%, 110% 10%;
		background-size: 0% 0%, 0% 0%,  0% 0%,  0% 0%,  0% 0%,  0% 0%;
	}
}